Supported BroadPOS and SwipeSimple Terminal versions

First Data Omaha: BroadPOS Omaha

Recommended SwipeSimple version: 6.7

Recommended BroadPOS version: V1.04.13E_20210105

 

TSYS: BroadPOS TSYS Sierra 

Recommended SwipeSimple version: 6.7

Recommended BroadPOS version: V1.03.24E_20210406

 

Vantiv: BroadPOS Vantiv 

Recommended SwipeSimple version: 6.7

Recommended BroadPOS version: V1.02.09E_20201210

19 out of 19 found this helpful